Bug 115219 - directory's options in virtual host not taken in account
directory's options in virtual host not taken in account
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: redhat-config-httpd (Show other bugs)
3.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Knirsch
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-09 04:29 EST by jean-claude jouffre
Modified: 2015-03-04 20:13 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-07-30 11:54:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description jean-claude jouffre 2004-02-09 04:29:56 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; WinNT4.0; fr; rv:1.5)
Gecko/20031007 Firebird/0.7

Description of problem:
I want to execute CGI scripts in a particular directory, inside a
virtual host ; so I add such directory in the "virtual host' window,
then select some options like ExecCGI, validate all windows, but the
httpd.conf does not contain any directory options (but these options
exist in the XML structure in memory) ; so the bug is in the xls file
(see additional info)

Version-Release number of selected component (if applicable):
1.1.0-4

How reproducible:
Always

Steps to Reproduce:
1. adding a directory to a virtual host
2. selecting some options like ExecCGI
3. validating all windows
4. in httpd.conf, no such parameters
    

Expected Results:  directives like this :
<VirtualHost *:80>
   <Directory "/mydir">
      Options ExecCGI

Additional info:

to fix this bug, modify /usr/share/redhat-config-httpd/httpd.conf.xsl :
in 'virtual host' part, add line :
            <xsl:for-each select="Options">Options <xsl:value-of
select="@VALUE" /></xsl:for-each>
before line :
            <xsl:for-each select="AllowOverride">AllowOverride
<xsl:value-of select="@VALUE" /></xsl:for-each>
Comment 1 Phil Knirsch 2004-07-30 11:54:38 EDT
That bug has been fixed in newer versions already.

Read ya, Phil

Note You need to log in before you can comment on or make changes to this bug.